Bug 966009 - Fedora19:Alpha: Starting of rusersd (rusers-server) service fails
Fedora19:Alpha: Starting of rusersd (rusers-server) service fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rusers (Show other bugs)
19
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 05:42 EDT by IBM Bug Proxy
Modified: 2013-06-04 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: rusers-0.17-76.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 23:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps and output for installing rusers from the source file (18.03 KB, application/octet-stream)
2013-05-25 03:20 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 93757 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-05-22 05:42:03 EDT
== Comment: #0 - Sanjeev Patro <sanpatr1@in.ibm.com> - 2013-05-22 03:29:57 ==
1> Installed following rusers packages which are available in Fedora19
[root@localhost system]# rpm -qa | grep rusers
rusers-server-0.17-74.fc19.ppc64
rusers-0.17-74.fc19.ppc64

2> Lpar is updated with all the available packages

3> Tried to start the service
# /bin/systemctl start  rusersd.service
Failed to issue method call: Unit syslog.target failed to load: No such file or directory. See system logs and 'systemctl status syslog.target' for details.

Not sure some package is missing, same steps did work out for rhel64 w/o any issue
Comment 1 IBM Bug Proxy 2013-05-22 06:01:18 EDT
------- Comment From onmahaja@in.ibm.com 2013-05-22 09:59 EDT-------
Sanjeev,

Can you paste this into your /usr/lib/systemd/system/syslog.target file :

-----------------------------------------------------------------------------------
#  This file is part of systemd.
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.

# This exists mostly for compatibility with SysV/LSB units, and
# implementations lacking socket/bus activation.

[Unit]
Description=Syslog
Documentation=man:systemd.special(7)
Documentation=http://www.freedesktop.org/wiki/Software/systemd/syslog

# Avoid that we conflict with shutdown.target, so that we can stay
# until the very end and do not cancel shutdown.target if we should
# happen to be activated very late.
DefaultDependencies=no

-----------------------------------------------------------------------

and try restarting the syslog.target service like this :

/bin/systemctl start syslog.target

and then check , I think it will work

Regards,
Onkar
Comment 2 Honza Horak 2013-05-22 06:23:33 EDT
After asking systemd developers, it seems Requires=syslog.target shouldn't be there at all -- I'll remove it.
Comment 3 IBM Bug Proxy 2013-05-22 22:10:43 EDT
------- Comment From onmahaja@in.ibm.com 2013-05-22 15:41 EDT-------
(In reply to comment #11)
> After asking systemd developers, it seems Requires=syslog.target shouldn't
> be there at all -- I'll remove it.

I checked on F18 -

[root@localhost ~]# cat /usr/lib/systemd/system/rusersd.service
[Unit]
Description=Remote Machine Logged In User Identfier
Requires=syslog.target network.target rpcbind.service
After=rpcbind.service

[Service]
Type=forking
ExecStart=/usr/sbin/rpc.rusersd
StandardError=syslog

[Install]
WantedBy=multi-user.target

and having this just works fine

Regards,
Onkar
Comment 4 Fedora Update System 2013-05-24 04:13:39 EDT
rusers-0.17-76.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-8650/rusers-0.17-76.fc19
Comment 5 Fedora Update System 2013-05-24 15:47:21 EDT
Package rusers-0.17-76.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rusers-0.17-76.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8650/rusers-0.17-76.fc19
then log in and leave karma (feedback).
Comment 6 IBM Bug Proxy 2013-05-25 02:40:35 EDT
------- Comment From sanpatr1@in.ibm.com 2013-05-25 06:35 EDT-------
(In reply to comment #14)
> Package rusers-0.17-76.fc19:
> * should fix your issue,
> * was pushed to the Fedora 19 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing rusers-0.17-76.fc19'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2013-8650/rusers-0.17-76.fc19
> then log in and leave karma (feedback).

Sorry I could not find any ppc64 package for this in the location
http://koji.fedoraproject.org/koji/buildinfo?buildID=421445

It is having only following rpms
RPMs
src
rusers-0.17-76.fc19.src.rpm (info) (download)
i686 	(build logs)
rusers-0.17-76.fc19.i686.rpm (info) (download)
rusers-server-0.17-76.fc19.i686.rpm (info) (download)
rusers-debuginfo-0.17-76.fc19.i686.rpm (info) (download)
x86_64 	(build logs)
rusers-0.17-76.fc19.x86_64.rpm (info) (download)
rusers-server-0.17-76.fc19.x86_64.rpm (info) (download)
rusers-debuginfo-0.17-76.fc19.x86_64.rpm (info) (download)

Took the source rpm and tried to build in my system but it failed

[root@localhost netkit-rusers-0.17]# make install
(cd  rpc.rusersd && make install)
make[1]: Entering directory `/root/rpmbuild/BUILD/netkit-rusers-0.17/rpc.rusersd'
install -m755 rusersd /usr/sbin/rpc.rusersd
install -m644 rpc.rusersd.8 /usr/man/man8
install: cannot create regular file ?/usr/man/man8?: No such file or directory
make[1]: *** [install] Error 1
make[1]: Leaving directory `/root/rpmbuild/BUILD/netkit-rusers-0.17/rpc.rusersd'
make: *** [rpc.rusersd.install] Error 2
Comment 7 IBM Bug Proxy 2013-05-25 03:20:39 EDT
Created attachment 752950 [details]
Steps and output for installing rusers from the source file


------- Comment (attachment only) From sanpatr1@in.ibm.com 2013-05-25 07:17 EDT-------
Comment 8 Honza Horak 2013-05-27 04:39:37 EDT
(In reply to IBM Bug Proxy from comment #6)
> Sorry I could not find any ppc64 package for this in the location
> http://koji.fedoraproject.org/koji/buildinfo?buildID=421445
> 

From Fedora POV, ppc and ppc64 are secondary arches, so to search for ppc builds you should use ppc.koji.fedoraproject.org. For this particular build use:
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=161327
Comment 9 Fedora Update System 2013-06-04 23:19:56 EDT
rusers-0.17-76.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.